Subject: [Gen-art] Gen-ART Last Call Review of draft-ietf-ccamp-rwa-wson-framework-10

From: Pete McCann <[email-masked]>
Date: Mon, 7 Feb 2011 11:32:31 -0600

I am the assigned Gen-ART reviewer for this draft. For background on
Gen-ART, please see the FAQ at
<http://wiki.tools.ietf.org/area/gen/trac/wiki/GenArtfaq>.

Please resolve these comments along with any other Last Call comments
you may receive.

Document: draft-ietf-ccamp-rwa-wson-framework-10
Reviewer: Pete McCann
Review Date: 2011-02-07
IETF LC End Date: 2011-02-01
IESG Telechat date: unknown

Summary: Ready with nits

Major issues: none

Minor issues: none

Nits/editorial comments:

Section 3.1:
   applications examples
SHOULD BE:
   applications.  Examples

Section 3.2:
   one doesn't not want
Double negative.

Section 3.3:
   prime focus of this document general concern as opposed to
SHOULD BE:
   prime focus of this document as opposed to

Section 3.3.2:
FEC is for Forward Error Correction not Forwarding Equivalence Class

Section 3.4.1:
   very dense, compact encodings and examples,
SHOULD BE:
   very dense.  Compact encodings and examples,

Figure 2:
   If Figure 1 is degree 2, wouldn't Figure 2 be degree 8 instead of 4?

Section 3.6:
   conversion, optically
SHOULD BE:
   conversion optically

   each on the use of
SHOULD BE:
   each use of

   would be different
   the lambda coming back
SHOULD BE:
   would be different from
   the lambda coming back

Section 3.6.1:
   a similar technique can be used to model
   ROADMs and optical switches
SHOULD BE:
   a technique similar to that used to model
   ROADMs and optical switches

   can reach potentially
   reach
SHOULD BE:
   can potentially
   reach

Section 3.7.3:
   same at that
SHOULD BE:
   same as that

Section 4.1.1:
   nodes capabilities
SHOULD BE:
   nodes' capabilities

Section 4.1.3:
   distributed, manner
SHOULD BE:
   distributed manner

   Depending on these policies a wavelength assignment may not be found
   or one consuming too many conversion resources relative to what a
   dedicated wavelength assignment policy would have achieved.
SHOULD BE:
   Depending on these policies a wavelength assignment may not be found
   or one may be found that consumes too many conversion resources
relative to what a
   dedicated wavelength assignment policy would have achieved.

   performance relatively to
   blocking.
SHOULD BE:
   performance with respect to
   blocking probability.

Section 4.2:
   Or other ways to limit
SHOULD BE:
   There may be other ways to limit

Section 5:
   This section provides examples of the fixed and switch optical node
   and wavelength constraint models of Section 3.  and WSON control
   plane use cases related to path computation, establishment,
   rerouting, and optimization.
SHOULD BE:
   This section provides examples of the fixed and switch optical node
   and wavelength constraint models of Section 3 and use cases for WSON control
   plane path computation, establishment,
   rerouting, and optimization.

Section 6.1.2:
   As discussed in Section 3.3.2.  a WSON signal
SHOULD BE:
   As discussed in Section 3.3.2, a WSON signal

Section 6.2.1:
   Note that since the bit rate
SHOULD BE:
   Note that the bit rate

   per port basis, see,
SHOULD BE:
   per port basis; see

Section 6.3:
   path computations (PCE-GCO) [RFC5557], PCE is well positioned to
SHOULD BE:
   path computations (PCE-GCO) [RFC5557].  The PCEP is well positioned to